package com.ssj.dao.sys.feedback.dao;

import com.ssj.bean.sys.feedback.domain.Feedback;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * 类名称：ConfigDao<br>
 * 类描述：系统参数数据访问接口<br>
 * 
 * @version v1.0
 */
@Repository
public interface FeedbackDao extends JpaRepository<Feedback, String> {

    Feedback findByParentIdAndBizTypeAndBizIdOrderByCreateTimeDesc(String parentId,String bizType,String bizId);

    Feedback findByParentIdAndBizTypeAndBizIdAndUserIdOrderByCreateTimeDesc(String parentId,String bizType,String bizId,String userId);
    
    Long countByBizId(String bizId);
    
    Feedback findByBizId(String bizId);
}
